:root {
  --primary: #556cd6;
  --secondary: #616161;
}

@media only screen and (orientation: landscape) and (min-height: 550px) {

  #logincard, #tutorialcard, #tutorialcardclienti, #tutorialcardprogetti, #welcomecard {
    width: 450px;
    height: 425px;
    margin-left: auto;
    margin-right: auto;
    margin-top: calc(50vh - 312px);
    text-align: center;
    padding: 24px;
  }
  #logincard-container, #welcomecard-container {
    padding: 24px;
  }
  #loginform {
    margin-top: 20px;
    margin-bottom: 70px;
  }
  #logincard div h2{
    font-size: 3em;
  }
  .form-control {
    min-width: 120px!important;
  }
  .form-group{
    text-align: left!important;
  }
  .form-group .form-text {
    color:red!important;
  }
  #loginbutton, #registerbutton {
    padding: 10px 25px;
    margin-top: 20px;
    color: white;
    background-color: royalblue;
  }
  #downloadbutton, #loginhome{
    padding: 10px 25px;
    color: white;
    background-color: royalblue;
  }
  #insertDialog .modal-dialog{
    min-width: 580px;
  }
  #registertext, #logintext{
    display: inline-block;
    margin-top: 20px;
  }
  #registerlink, #loginlink{
    display: inline-block;
  }
}

@media only screen and (orientation: landscape) and (max-height: 549px) {

  #logincard, #tutorialcard, #tutorialcardclienti, #tutorialcardprogetti, #welcomecard {
    width: 450px;
    height: 425px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 10px;
    text-align: center;
    padding: 24px;
  }
  #logincard-container, #welcomecard-container {
    padding: 24px;
  }
  #loginform {
    margin-top: 20px;
    margin-bottom: 70px;
  }
  #logincard div h2{
    font-size: 3em;
  }
  .form-control {
    min-width: 120px!important;
  }
  .form-group{
    text-align: left!important;
  }
  .form-group .form-text {
    color:red!important;
  }
  #loginbutton, #registerbutton {
    padding: 10px 25px;
    margin-top: 20px;
    color: white;
    background-color: royalblue;
  }
  #downloadbutton, #loginhome{
    padding: 10px 25px;
    color: white;
    background-color: royalblue;
  }
  #insertDialog .modal-dialog{
    min-width: 580px;
  }
  .table {
    min-width: 650px;
  }
  #registertext, #logintext{
    display: inline-block;
    margin-top: 20px;
  }
  #registerlink, #loginlink{
    display: inline-block;
  }

}

@media only screen and (orientation: portrait) and (min-width: 550px){

  #logincard, #tutorialcard, #tutorialcardclienti, #tutorialcardprogetti, #welcomecard  {
    width: 90%;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    padding: 24px;
  }
  #logincard-container, #welcomecard-container {
    padding: 24px;
  }
  #loginform {
    margin-top: 20px;
    margin-bottom: 70px;
    /*line-height: 100px;*/
  }
  #logincard div h2{
    font-size: 3em;
  }
  .form-control {
    min-width: 120px!important;
  }
  .form-group{
    text-align: left!important;
  }
  #loginform input {
    /*line-height: 100px;*/
    height: auto;
    /*font-size: 3em;*/
  }
  .form-group .form-text {
    /*font-size: 2em;*/
    color:red!important;
  }
  #loginbutton, #registerbutton {
    padding: 10px 25px;
    margin-top: 20px;
    color: white;
    background-color: royalblue;
  }
  #downloadbutton, #loginhome{
    padding: 10px 25px;
    color: white;
    background-color: royalblue;
  }
  #registertext, #logintext{
    margin-top: 40px;
  }
  #registerlink, #loginlink{
    margin-top: 20px;
  }

}

@media only screen and (orientation: portrait) and (max-width: 549px){

  #logincard, #tutorialcard, #tutorialcardclienti, #tutorialcardprogetti, #welcomecard  {
    width: 100%;
    height: 100vh;
    margin-left: 0px;
    margin-right: 0px;
    text-align: center;
    padding: 24px;
  }
  #logincard-container, #welcomecard-container {
    padding: 0px;
  }
  .table {
    margin-bottom: 0px;
  }
  #logincard div h2{
    font-size: 3em;
  }
  #loginbutton, #registerbutton {
    padding: 10px 25px;
    margin-top: 20px;
    color: white;
    background-color: royalblue;
  }
  #downloadbutton, #loginhome{
    padding: 10px 25px;
    color: white;
    background-color: royalblue;
  }
  #trackingstable span, #customerdetailtable span, #projectsdetailtable span{
    width: 26%;
    display: table-cell;
    vertical-align: middle;
    padding: 12px 20px;
    font-size: 1.2rem!important;
  }
  #trackingstable > div, #customerdetailtable > div, #projectsdetailtable > div {
    border-top-style: outset;
    border-width: thin;
    border-color: #ebebeb;
  }
  #trackingstable > div button{
    width: 50px;
  }
  thead, tfoot{
    display: none;
  }
  .tablehead > div{
    padding: 12px 20px;
    font-size: 1.2rem!important;
  }
  .tablefoot > div{
    padding: 12px 20px;
    font-size: 1.2rem!important;
  }
  .tablefoot{
    border-top-style: outset;
    border-width: thin;
    border-color: #ebebeb;
  }
  #tutorial, #tutorialclienti, #tutorialprogetti{
    padding: 0px;
  }
  #tutorial .table-responsive{
    overflow-x: hidden;
  }
  #registertext, #logintext{
    margin-top: 40px;
  }
  #registerlink, #loginlink{
    margin-top: 20px;
  }

}

.pagecontent{
  height: calc(100vh - 80px);
  overflow-y: auto;
  width: 100%;
}
.fab {
  position: absolute!important;
  bottom: 30px;
  right: 30px;
}
.hidden {
  display: none!important;
}
.dialogfooter {
  padding: 20px!important;
}
.alert {
  display: inline-flex;
  margin-left: 0px;
  margin-top: 0px;
  margin-bottom: 0px;
  margin-right: 0px;
  padding: 15px 16px;
  border-radius: 4px;
  width: calc(100% - 120px);
}
.error-icon, .warning-icon, .info-icon, .success-icon {
  text-align: center;
  width: 36px;
}
.error-icon span, .warning-icon span, .info-icon span, .success-icon span {
  vertical-align: middle;
}
.error-text, .warning-text, .info-text, .success-text {
  line-height: 1.7em;
  padding-left: 8px;
}
.alert-error {
  color: #611a15;
  background-color: #fdecea;
}
.alert-warning {
  color: #663c00;
  background-color: #fff4e5;
}
.alert-info {
  color: #0d3c61;
  background-color: #e8f4fd;
}
.alert-success {
  color: #1e4620;
  background-color: #edf7ed;
}
.error-icon {
  color: #f44336;
}
.warning-icon {
  color: #ff9800;
}
.info-icon {
  color: #2196f3;
}
.success-icon {
  color: #4caf50;
}
.divider {
  margin:8px!important;
}
.tablehead th{
  text-transform: uppercase;
  vertical-align: middle!important;
  font-size: 1.2rem!important;
}
.tablebody td{
  font-size: 1.2rem!important;
  vertical-align: middle!important;
  padding-left: 20px;
  padding-right: 20px;
}
.tablebody td i{
  font-size: 40px!important;
  vertical-align: middle!important;
}
.tablebody td button, .tablehead th button{
  width: 50px!important;
  height: 50px!important;
}
.tablefoot td{
  font-size: 1.2rem!important;
  font-weight: bold;
  padding-left: 20px;
  padding-right: 20px;
}
.w-1{
  width: 120px;
}
.w-2{
  width: 240px;
}
.w-3{
  width: 360px;
}
.w-4{
  width: 480px;
}
.w-5{
  width: 600px;
}
.red{
  color: #f44336;
}
.pink{
  color: #e91e63;
}
.purple{
  color: #9c27b0;
}
.deepPurple{
  color: #673ab7;
}
.indigo{
  color: #3f51b5;
}
.blue{
  color: #2196f3;
}
.green{
  color: #4caf50;
}
.yellow{
  color: #ffeb3b;
}
.amber{
  color: #ffc107;
}
.orange{
  color: #ff9800;
}
.deepOrange{
  color: #ff5722;
}
.coloricon{
  font-size: xxx-large!important;
}
#newusericon{
  margin-bottom: 20px;
  text-align: center;
}
.modal-body{
    padding-bottom: 0px!important;
}
.modal-body p, #welcomecard p{
  font-size: 1.2rem!important;
}
.modal-content{
  padding-top: 10px;
}
.loader,
.loader:after {
  border-radius: 50%;
  width: 2em;
  height: 2em;
  box-sizing: content-box;
  border-width: 10px!important;
}
.loader {
  display: inline-block;
  margin: 0px auto;
  position: relative;
  text-indent: -9999em;
  border-top: 1.1em solid rgba(52,114,229, 0.2);
  border-right: 1.1em solid rgba(52,114,229, 0.2);
  border-bottom: 1.1em solid rgba(52,114,229, 0.2);
  border-left: 1.1em solid #3472e5;
  -webkit-transform: translateZ(0);
  -ms-transform: translateZ(0);
  transform: translateZ(0);
  -webkit-animation: load8 1.1s infinite linear;
  animation: load8 1.1s infinite linear;
}
@-webkit-keyframes load8 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@keyframes load8 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
#customernamecell, #projectnamecell{
  position: relative;
  top: -10px;
  margin-left: 10px;
}
#loadercenter{
  position: absolute!important;
  top: calc(50vh - 25px)!important;
  left: calc(50% - 25px)!important;
}
#pwainstallhint .card-body{
  background-color: var(--pink);
  color: var(--white);
  font-size: large;
  padding: 8px;
}
#pwainstallbar{
  margin-right: 13px;
  display: inline-block;
  float: right;
}
#tutorialtable td{
  border: none;
}
.tutorialbtn{
  text-align: center;
  color: white;
  background-color: var(--primary);
}
#tutorialclienti p, #tutorialprogetti p{
  font-size: 1.2rem!important;
}
